<?php
namespace boru\boruai\Openai\Stream\Response\ReasoningSummaryPart;


class Delta extends ReasoningSummaryPartBase {
    const TYPE = 'response.reasoning_summary_part.delta';
    private $delta;

    public function delta($delta=null) {
        if($delta !== null) {
            $this->delta = $delta;
        }
        return $this->delta;
    }

    public function toArray() {
        $return = parent::toArray();
        $return['delta'] = $this->delta();
        return $return;
    }
}